LINUX.ORG.RU

Haskell Platform 8.4.2

 ,


0

2

Для тех, кто не читает рассылку Haskell Cafe. Вышла новая версия платформы. Не все пакеты еще подтянулись. Например, svg-builder хандрит.

Ох, уж эти любители задавать точные границы для версий пакетов! Никогда их не понимал. Меня самого агитировали, но я отказался.

Спешу успокоить тех, кто далек от Haskell. В stack все работает, как и прежде работало.

★★★★★

Адепты ЯП с энергичной моделью вычисления энергично пишут полноценные новости, любители «ленивой» функциональщины слишком ленивы для этого).

Для тех, кто далек от Haskell, спешу успокоить и прошу не возбуждаться.

Так бывает, что пока пишешь предложение, успеваешь его перестроить, не по смыслу, но по форме, а отредактировать уже написанное забываешь. То, что произошло с тобой.

Virtuos86 ★★★★★ ()
Ответ на: комментарий от Virtuos86

Так бывает, что пока пишешь предложение, успеваешь его перестроить, не по смыслу, но по форме, а отредактировать уже написанное забываешь. То, что произошло с тобой.

Гранд мерси. Да, редактировал)

dave ★★★★★ ()

есть такая опция allow-newer pkgname которая позволяет собрать пакет даже если зависимость не подтянулась. Если пакет собирается, то никакой проблемы для пользователя собрать его нету. А если не собирается - значит программист правильно сделал.

Опции --disallow-newer - нету, поэтому если не проставлять зависимости, то меинтейнеру придется идти на hackage и обновлять метаданные всем версиям своих пакетов. А они ленивые скотины и этого не делают.

Вообще бесит сначала сделают помойку вместо хакаджа, леняться поддерживать метаданные в актуальном состоянии. А потом молятся на отсталый стек, который позволяет им сидеть в помойке, как страус засунув голову в мусор, и не замечать этого. (Тут ничего личного конечно).

Вот пакет здорового человека:https://matrix.hackage.haskell.org/package/lens Не ставя upper bounds такого достичь сложно.

qnikst ★★★★★ ()